Bug 244480 - ports-mgmt/portlint: Warn about options without a description
Summary: ports-mgmt/portlint: Warn about options without a description
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-27 21:35 UTC by Gerald Pfeifer
Modified: 2020-05-30 21:24 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (marcus)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer freebsd_committer 2020-02-27 21:35:34 UTC
emulators/wine-devel as of revision r527076 lacks a description for the
STAGING options.  I'll fix that shortly, but was surprised neither the
ports infrastructure nor portlint warned about this.

Put into a shell script the following code does that job:

   if make showconfig | grep -v === | grep -v : ; then
       echo "'make showconfig' has option(s) without a description."
   fi
Comment 1 commit-hook freebsd_committer 2020-02-28 10:44:09 UTC
A commit references this bug:

Author: gerald
Date: Fri Feb 28 10:43:17 UTC 2020
New revision: 527327
URL: https://svnweb.freebsd.org/changeset/ports/527327

Log:
  Add a description for the STAGING option that we've been missing.

  Reported by:	salvadore
  PR:		244480, 244485

Changes:
  head/emulators/wine-devel/Makefile
Comment 2 Joe Marcus Clarke freebsd_committer 2020-03-02 22:23:43 UTC
Support added in 2.18.11.
Comment 3 Gerald Pfeifer freebsd_committer 2020-04-04 14:54:30 UTC
(In reply to Joe Marcus Clarke from comment #2)
> Support added in 2.18.11.

Thank you, Joe!

I notice the following in lang/gcc8-devel after this (on both i386 and amd64):

   lang/gcc8-devel> portlint -C
   FATAL: Makefile: OPTION MULTILIB does not have a description (MULTILIB_DESC).
   FATAL: Makefile: OPTION MULTILIB does not have a description (MULTILIB_DESC).

The message is issued twice.

And MULTILIB_DESC is actually set where it is relevant, via

   .if exists(/usr/lib32/libc.so)
   OPTIONS_DEFINE_amd64+=          MULTILIB
   OPTIONS_DEFAULT_amd64+= MULTILIB
   OPTIONS_DEFINE_powerpc64+=      MULTILIB
   OPTIONS_DEFAULT_powerpc64+=     MULTILIB
   MULTILIB_DESC=          Build support for 32-bit and 64-bit targets
   MULTILIB_CONFIGURE_ENABLE=      multilib
   .else
Comment 4 Joe Marcus Clarke freebsd_committer 2020-05-30 13:54:24 UTC
Fixed in 2.19.0.
Comment 5 Gerald Pfeifer freebsd_committer 2020-05-30 21:24:31 UTC
Thank you! Awesome, as usual. :)